Create eAU Request
curl --request POST \
--url https://api.kombo.dev/v1/custom/datev/employees/{employee_id}/eau-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Integration-Id: <x-integration-id>' \
--data '
{
"start_work_incapacity": "2022-01-01"
}
'import requests
url = "https://api.kombo.dev/v1/custom/datev/employees/{employee_id}/eau-requests"
payload = { "start_work_incapacity": "2022-01-01" }
headers = {
"X-Integration-Id": "<x-integration-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Integration-Id': '<x-integration-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({start_work_incapacity: '2022-01-01'})
};
fetch('https://api.kombo.dev/v1/custom/datev/employees/{employee_id}/eau-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/custom/datev/employees/{employee_id}/eau-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'start_work_incapacity' => '2022-01-01'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/custom/datev/employees/{employee_id}/eau-requests"
payload := strings.NewReader("{\n \"start_work_incapacity\": \"2022-01-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombo.dev/v1/custom/datev/employees/{employee_id}/eau-requests")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"start_work_incapacity\": \"2022-01-01\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombo.dev/v1/custom/datev/employees/{employee_id}/eau-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Integration-Id"] = '<x-integration-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start_work_incapacity\": \"2022-01-01\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"eau_id": "<string>"
},
"warnings": [
{
"message": "<string>"
}
]
}DATEV eAU
Create eAU Request
Create a request for an electronic certificate of incapacity for work (eAU).
POST
/
custom
/
datev
/
employees
/
{employee_id}
/
eau-requests
Create eAU Request
curl --request POST \
--url https://api.kombo.dev/v1/custom/datev/employees/{employee_id}/eau-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Integration-Id: <x-integration-id>' \
--data '
{
"start_work_incapacity": "2022-01-01"
}
'import requests
url = "https://api.kombo.dev/v1/custom/datev/employees/{employee_id}/eau-requests"
payload = { "start_work_incapacity": "2022-01-01" }
headers = {
"X-Integration-Id": "<x-integration-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Integration-Id': '<x-integration-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({start_work_incapacity: '2022-01-01'})
};
fetch('https://api.kombo.dev/v1/custom/datev/employees/{employee_id}/eau-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/custom/datev/employees/{employee_id}/eau-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'start_work_incapacity' => '2022-01-01'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/custom/datev/employees/{employee_id}/eau-requests"
payload := strings.NewReader("{\n \"start_work_incapacity\": \"2022-01-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombo.dev/v1/custom/datev/employees/{employee_id}/eau-requests")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"start_work_incapacity\": \"2022-01-01\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombo.dev/v1/custom/datev/employees/{employee_id}/eau-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Integration-Id"] = '<x-integration-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start_work_incapacity\": \"2022-01-01\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"eau_id": "<string>"
},
"warnings": [
{
"message": "<string>"
}
]
}This endpoint requires the permission Manage eAU to be enabled in your scope config.
Example Request Body
{
"start_work_incapacity": "2022-01-01"
}
Authorizations
Create an API key on the Secrets page in the Kombo dashboard.
Path Parameters
Body
application/json
POST /custom/datev/employees/:employee_id/eau-requests Request body
The data to request an electronic certificate of incapacity for work (eAU).
Response
POST /custom/datev/employees/:employee_id/eau-requests Positive response
Was this page helpful?